Name:          bonnie++
Version:       2.00a
Release:       1mamba
Summary:       Benchmark suite to perform simple tests of hard drive and file system performance
Group:         System/Benchmarks
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.coker.com.au/bonnie++
Source:        https://www.coker.com.au/bonnie++/bonnie++-%{version}.tgz
Patch:         %{name}-1.96-makefile.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
bonnie++ filesystem and disk benchmark suite aggressively reads & writes in various ways on your filesystem then outputs useful benchmark performance data.
bonnie++ is also useful as a hardware, disk, and filesystem stability test, exposing some types of hardware or kernel failures that would otherwise be difficult to detect.

#% debug_package

%prep
%setup -q
%patch -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*
%doc copyright.txt credits.txt

%changelog
* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 2.00a-1mamba
- automatic update by autodist

* Fri Jan 04 2013 Automatic Build System <autodist@mambasoft.it> 1.97-1mamba
- automatic version update by autodist

* Tue Jul 03 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.96-1mamba
- update to 1.96
- added missing build requirements

* Tue May 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.03a-2mamba
- rebuilt

* Tue Nov 11 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.6-1qilnx
- First build
